OGRE: Overlays

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Namespaces | Classes | Macros | Typedefs | Enumerations | Functions
Overlays
Core

## Namespaces
| Ogre::v1::OverlayElementCommands

## Classes
class | Ogre::v1::BorderPanelOverlayElement
| A specialisation of the PanelOverlayElement to provide a panel with a border. More...
class | Ogre::v1::BorderPanelOverlayElementFactory
| Factory for creating BorderPanelOverlayElement instances. More...
class | Ogre::v1::BorderRenderable
| Class for rendering the border of a BorderPanelOverlayElement. More...
class | Ogre::v1::Overlay
| Represents a layer which is rendered on top of the 'normal' scene contents. More...
class | Ogre::v1::OverlayContainer
| A 2D element which contains other OverlayElement instances. More...
class | Ogre::v1::OverlayElement
| Abstract definition of a 2D element to be displayed in an Overlay. More...
class | Ogre::v1::OverlayElementFactory
| Defines the interface which all components wishing to supply OverlayElement subclasses must implement. More...
class | Ogre::v1::OverlayManager
| Manages Overlay objects, parsing them from .overlay files and storing a lookup library of them. More...
class | Ogre::v1::OverlayProfileSessionListener
| Concrete impl. More...
class | Ogre::v1::OverlaySystem
| This class simplify initialization / finalization of the overlay system. More...
class | Ogre::v1::PanelOverlayElement
| OverlayElement representing a flat, single-material (or transparent) panel which can contain other elements. More...
class | Ogre::v1::PanelOverlayElementFactory
| Factory for creating PanelOverlayElement instances. More...
class | Ogre::v1::TextAreaOverlayElement
| This class implements an overlay element which contains simple unformatted text. More...
class | Ogre::v1::TextAreaOverlayElementFactory
| Factory for creating TextAreaOverlayElement instances. More...

## Macros
#define | OGRE_DEREF_DISPLAYSTRING_ITERATOR(it) *it

## Typedefs
typedef String | Ogre::v1::DisplayString

## Enumerations
enum | Ogre::v1::GuiHorizontalAlignment { Ogre::v1::GHA_LEFT, Ogre::v1::GHA_CENTER, Ogre::v1::GHA_RIGHT }
| Enum describing where '0' is in relation to the parent in the horizontal dimension. More...
enum | Ogre::v1::GuiMetricsMode { Ogre::v1::GMM_RELATIVE, Ogre::v1::GMM_PIXELS, Ogre::v1::GMM_RELATIVE_ASPECT_ADJUSTED }
| Enum describing how the position / size of an element is to be recorded. More...
enum | Ogre::v1::GuiVerticalAlignment { Ogre::v1::GVA_TOP, Ogre::v1::GVA_CENTER, Ogre::v1::GVA_BOTTOM }
| Enum describing where '0' is in relation to the parent in the vertical dimension. More...

## Functions
| Ogre::v1::OverlayProfileSessionListener::OverlayProfileSessionListener ()
| Ogre::v1::OverlaySystem::OverlaySystem ()
virtual | Ogre::v1::OverlayProfileSessionListener::~OverlayProfileSessionListener ()
virtual | Ogre::v1::OverlaySystem::~OverlaySystem ()
virtual void | Ogre::v1::OverlayProfileSessionListener::changeEnableState (bool enabled)
virtual void | Ogre::v1::OverlayProfileSessionListener::displayResults (const ProfileInstance &instance, ulong maxTotalFrameTime)
virtual void | Ogre::v1::OverlaySystem::eventOccurred (const String &eventName, const NameValuePairList *parameters)
virtual void | Ogre::v1::OverlayProfileSessionListener::finializeSession ()
Real | Ogre::v1::OverlayProfileSessionListener::getOverlayHeight () const
Real | Ogre::v1::OverlayProfileSessionListener::getOverlayLeft () const
Real | Ogre::v1::OverlayProfileSessionListener::getOverlayTop () const
Real | Ogre::v1::OverlayProfileSessionListener::getOverlayWidth () const
virtual void | Ogre::v1::OverlayProfileSessionListener::initializeSession ()
virtual void | Ogre::v1::OverlaySystem::renderQueueStarted (RenderQueue *rq, uint8 queueGroupId, const String &invocation, bool &skipThisInvocation)
void | Ogre::v1::OverlayProfileSessionListener::setOverlayDimensions (Real width, Real height)
| Set the size of the profiler overlay, in pixels. More...
void | Ogre::v1::OverlayProfileSessionListener::setOverlayPosition (Real left, Real top)
| Set the position of the profiler overlay, in pixels. More...

## Detailed Description

## Macro Definition Documentation

## ◆ OGRE_DEREF_DISPLAYSTRING_ITERATOR

#define OGRE_DEREF_DISPLAYSTRING_ITERATOR | ( |  | it | ) | *it

## Typedef Documentation

## ◆ DisplayString

typedef String Ogre::v1::DisplayString

## Enumeration Type Documentation

## ◆ GuiHorizontalAlignment

enum Ogre::v1::GuiHorizontalAlignment

Enum describing where '0' is in relation to the parent in the horizontal dimension.

Remarks
  Affects how 'left' is interpreted.

Enumerator
GHA_LEFT |
GHA_CENTER |
GHA_RIGHT |

## ◆ GuiMetricsMode

enum Ogre::v1::GuiMetricsMode

Enum describing how the position / size of an element is to be recorded.

Enumerator
GMM_RELATIVE | 'left', 'top', 'height' and 'width' are parametrics from 0.0 to 1.0
GMM_PIXELS | Positions & sizes are in absolute pixels.
GMM_RELATIVE_ASPECT_ADJUSTED | Positions & sizes are in virtual pixels.

## ◆ GuiVerticalAlignment

enum Ogre::v1::GuiVerticalAlignment

Enum describing where '0' is in relation to the parent in the vertical dimension.

Remarks
  Affects how 'top' is interpreted.

Enumerator
GVA_TOP |
GVA_CENTER |
GVA_BOTTOM |

## Function Documentation

## ◆ OverlayProfileSessionListener()

Ogre::v1::OverlayProfileSessionListener::OverlayProfileSessionListener | ( |  | ) |

## ◆ OverlaySystem()

Ogre::v1::OverlaySystem::OverlaySystem | ( |  | ) |

## ◆ ~OverlayProfileSessionListener()

virtual Ogre::v1::OverlayProfileSessionListener::~OverlayProfileSessionListener | ( |  | ) |
| virtual

## ◆ ~OverlaySystem()

virtual Ogre::v1::OverlaySystem::~OverlaySystem | ( |  | ) |
| virtual

## ◆ changeEnableState()

virtual void Ogre::v1::OverlayProfileSessionListener::changeEnableState | ( | bool | enabled | ) |
| virtual

See also
  ProfileSessionListener::changeEnableState

Reimplemented from Ogre::ProfileSessionListener.

## ◆ displayResults()

virtual void Ogre::v1::OverlayProfileSessionListener::displayResults | ( | const ProfileInstance & | instance,
|  | ulong | maxTotalFrameTime
| ) |  |
| virtual

See also
  ProfileSessionListener::displayResults

Reimplemented from Ogre::ProfileSessionListener.

## ◆ eventOccurred()

virtual void Ogre::v1::OverlaySystem::eventOccurred | ( | const String & | eventName,
|  | const NameValuePairList * | parameters
| ) |  |
| virtual

See also
  RenderSystem::Listener

Implements Ogre::RenderSystem::Listener.

## ◆ finializeSession()

virtual void Ogre::v1::OverlayProfileSessionListener::finializeSession | ( |  | ) |
| virtual

See also
  ProfileSessionListener::finializeSession

Implements Ogre::ProfileSessionListener.

## ◆ getOverlayHeight()

Real Ogre::v1::OverlayProfileSessionListener::getOverlayHeight | ( |  | ) | const

## ◆ getOverlayLeft()

Real Ogre::v1::OverlayProfileSessionListener::getOverlayLeft | ( |  | ) | const

## ◆ getOverlayTop()

Real Ogre::v1::OverlayProfileSessionListener::getOverlayTop | ( |  | ) | const

## ◆ getOverlayWidth()

Real Ogre::v1::OverlayProfileSessionListener::getOverlayWidth | ( |  | ) | const

## ◆ initializeSession()

virtual void Ogre::v1::OverlayProfileSessionListener::initializeSession | ( |  | ) |
| virtual

See also
  ProfileSessionListener::initializeSession

Implements Ogre::ProfileSessionListener.

## ◆ renderQueueStarted()

virtual void Ogre::v1::OverlaySystem::renderQueueStarted | ( | RenderQueue * | rq,
|  | uint8 | queueGroupId,
|  | const String & | invocation,
|  | bool & | skipThisInvocation
| ) |  |
| virtual

See also
  RenderQueueListener

Reimplemented from Ogre::RenderQueueListener.

## ◆ setOverlayDimensions()

void Ogre::v1::OverlayProfileSessionListener::setOverlayDimensions | ( | Real | width,
|  | Real | height
| ) |  |

Set the size of the profiler overlay, in pixels.

## ◆ setOverlayPosition()

void Ogre::v1::OverlayProfileSessionListener::setOverlayPosition | ( | Real | left,
|  | Real | top
| ) |  |

Set the position of the profiler overlay, in pixels.